## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanCompiledStylesheet Class Reference

This is an abstraction of the StylesheetRoot class. More...

Inheritance diagram for XalanCompiledStylesheet:

[legend]
List of all members.

## Public Member Functions

- virtual ~XalanCompiledStylesheet ()
- virtual const StylesheetRoot * getStylesheetRoot () const=0

## Detailed Description

This is an abstraction of the StylesheetRoot class.

It is designed to allow a XalanTranfomer object to reuse a compliled stylesheet.

## Constructor & Destructor Documentation

virtual XalanCompiledStylesheet::~XalanCompiledStylesheet | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const StylesheetRoot* XalanCompiledStylesheet::getStylesheetRoot | ( |  | ) | const`[pure virtual]`

| Implemented in XalanCompiledStylesheetDefault.

The documentation for this class was generated from the following file:

- XalanCompiledStylesheet.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.